<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA - Allan CORNET
 * ...
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="fullpath">
  <info>
    <pubdate>$LastChangedDate: 2006-09-10 20:58:00 +0200 (dim., 10 sept. 2006)$</pubdate>
  </info>
  <refnamediv>
    <refname>fullpath</refname>
    <refpurpose>Creates an full path name for the specified relative path name.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>res = fullpath(relative_path)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>res</term>
        <listitem>
          <para>a string</para>
        </listitem>
      </varlistentry>
    </variablelist>
    <variablelist>
      <varlistentry>
        <term>relative_path</term>
        <listitem>
          <para>a string</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>Creates an full path name for the specified relative path name.</para>
    <para>On linux 'relative_path' needs to exist.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
mkdir(TMPDIR+'/niv1');
mkdir(TMPDIR+'/niv1/niv2');
mputl(' ',TMPDIR+'/niv1/test.txt');
cd(TMPDIR+'/niv1/niv2');
fullpath('../test.txt')
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>A.C</member>
    </simplelist>
  </refsection>
</refentry>
